## org.apache.batik.apps.svgbrowser
Class DOMViewer.ContentNodeInfo

    java.lang.Object
      org.apache.batik.apps.svgbrowser.DOMViewer.NodeInfo
          org.apache.batik.apps.svgbrowser.DOMViewer.ContentNodeInfo

Enclosing class:
  DOMViewer

    protected static class DOMViewer.ContentNodeInfo

extends DOMViewer.NodeInfo

To store the node information for an xbl:content node's selected content.

Field Summary

Fields inherited from class org.apache.batik.apps.svgbrowser.DOMViewer.NodeInfo
`node`

Constructor Summary
`DOMViewer.ContentNodeInfo(org.w3c.dom.Node n)` Creates a new ContentNodeInfo object.

Method Summary
`java.lang.String` `toString()` Returns a printable representation of the object.

Methods inherited from class org.apache.batik.apps.svgbrowser.DOMViewer.NodeInfo
`getNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DOMViewer.ContentNodeInfo

    public DOMViewer.ContentNodeInfo(org.w3c.dom.Node n)

  Creates a new ContentNodeInfo object.

Method Detail

### toString

    public java.lang.String toString()

  Returns a printable representation of the object.

  Overrides:
    `toString` in class `DOMViewer.NodeInfo`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.